
collecting_society - Datenbank #383

Complete scenario demo data

04/17/2017 05:43 AM - Alexander Blum

Status: Erledigt Start date:  

Priority: Normal Due date:  

Assignee: Alexander Blum % Done: 100%

Category:  Estimated time: 10.00 hours

Target version: Repertoire 3) Testing phase III Spent time: 17.10 hours

Description

Add missing tests

Change demo data to generic names

Associated revisions

Revision 05ce5868 - 10/16/2018 07:31 PM - Alexander Blum

ref #383: adds bulk test data import, csv

Revision 05ce5868 - 10/16/2018 07:31 PM - Alexander Blum

ref #383: adds bulk test data import, csv

Revision 62c1246d - 10/23/2018 11:58 AM - Alexander Blum

ref #383: adds testdata: foreign objects, debug mode, more data

Revision 62c1246d - 10/23/2018 11:58 AM - Alexander Blum

ref #383: adds testdata: foreign objects, debug mode, more data

History

#1 - 11/26/2017 03:04 PM - Alexander Blum

- Subject changed from Complete scenario master data to Complete scenario demo data

#2 - 02/17/2018 10:15 PM - Sarah Stoffels

- Assignee set to Sarah Stoffels

#3 - 04/27/2018 03:12 PM - Sarah Stoffels

- Status changed from Neu to In Bearbeitung

- % Done changed from 0 to 40

erst mal recherchiert zu doctests und Datenmodell

rum getestet mit Modellen WebUser- und Content-Erstellung, Verwaltung im Tryton-Client

Testdaten für Repertoire-Content angelegt

ToDo:

- Duplicate content hinzufügen (hier muss dann anscheinend noch mindestens ein weiteres abhängiges Feld des Contents befüllt werden)

- Weitere Demo-Daten?
#4 - 06/14/2018 12:05 AM - Alexander Blum

- Target version changed from 1) Testing phase I to 2) Testing phase II

#5 - 06/14/2018 12:07 AM - Sarah Stoffels

- Target version changed from 2) Testing phase II to 1) Testing phase I

Wenn wir in Testphase 1 Randfälle finden, die als Regressionstests für die Zukunft gut sind, können die auch in die scenario demo data

aufgenommen werden.

#6 - 06/14/2018 12:07 AM - Sarah Stoffels

- Target version changed from 1) Testing phase I to 2) Testing phase II

#7 - 06/27/2018 11:49 PM - Alexander Blum

- Estimated time changed from 5.00 to 10.00

#8 - 10/26/2018 04:18 PM - Thomas Mielke

- Assignee changed from Sarah Stoffels to Alexander Blum

#9 - 10/26/2018 04:55 PM - Thomas Mielke

task done?

#10 - 03/16/2019 10:04 PM - Alexander Blum

- Target version changed from 2) Testing phase II to 3) Testing phase III

#11 - 10/08/2019 03:39 PM - Alexander Blum

- Target version changed from 3) Testing phase III to Repertoire 3) Testing phase III

#12 - 10/08/2019 03:51 PM - Alexander Blum

- Project changed from repertoire to collecting_society

#13 - 03/04/2021 11:46 AM - Alexander Blum

- Status changed from In Bearbeitung to Erledigt

- % Done changed from 40 to 100

With the new import script I consider this task done.
